Update incident
PUT
/incidents/{id}
Authentication
Bearer Token (hu_api_key)
Path Parameters
id
string
required
path
Request Body required
application/jsontitle
string
severity
string
Enum:
minor, major, criticalstatus
string
Enum:
investigating, identified, monitoring, resolvedResponses
200
Incident updated
No response body
curl -X PUT 'https://happyuptime.com/api/v1/incidents/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "title": "string", "severity": "minor", "status": "investigating"}'
const response = await fetch('https://happyuptime.com/api/v1/incidents/string', { method: 'PUT', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "title": "string", "severity": "minor", "status": "investigating" })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.put('https://happyuptime.com/api/v1/incidents/string', headers=headers, json={ "title": "string", "severity": "minor", "status": "investigating"})print(response.json())
API Playground
Try this endpoint
PUT
/incidents/{id}